Subject: Re: login: no shell: /bin/bash: Permission denied
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Thu, 07 Mar 2002 14:04:38 +0100

Corinna Vinschen <[email-masked]> writes:

> I have XP HE and XP Prof versions for testing purposes.  The restrictions
> in HE are really tricky.  I tried even stuff as moving DLLs and MMC
> snapins from Prof to HE but to no avail.

Ok, so they're really rather different, in distributed system software.

> Registry tweaking is useless, too.  The user rights are in the SAM.

Yes, I understand that; but I was thinking the NT server vs
workstation registry setting.  If there would just have been this
prof/he key.

> Yeah, HE is an NT system which has been downgraded nearly to the
> usual 98 insecurity.  It's annoying.  However, it was funny to
> see, that `ntsec' works fine.  Unfortunately you can neither set
> nor see the permissions in the GUI.  But you can, using Cygwin.
> So with Cygwin you can upgrade HE ;-)

Yes, Cygwin gives a lot more insight in permissions.  It seems
however, that XP (HE) doesn't respect execute permissions on
directories, in some cases.  Moreover, read and execute permissions in
/cygdrive/c seem to be granted in any case.

    $ mkdir 400; echo 400 > 400/400; chmod 400 400
    $ ls -ld 400 400/400; cat 400/400
    dr--------    2 fred     Geen            0 Mar  7 12:52 400
    -rw-rw-rw-    1 fred     Geen            4 Mar  7 12:52 400/400
    $ cd 400
    bash: cd: 400: Permission denied
    $ ls -l /cygdrive/c/autoexec.bak
    -rwx------    1 tom      Geen           18 Mar  7 12:55 /cygdrive/c/autoexec.bak
    $ cat /cygdrive/c/autoexec.bak
    Path=C:\WINDOWS;
    $ id
    uid=1009(fred) gid=513(Geen) groups=0(Iedereen),513(Geen),545(Gebruikers)
    $ mount
    C:\cygwin\bin on /usr/bin type system (binmode)
    C:\cygwin\lib on /usr/lib type system (binmode)
    C:\cygwin on / type system (binmode)
    c: on /cygdrive/c type user (textmode,noumount)

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/